Summary:        A Tool for manipulating BibTeX data bases
Name:           BibTool
Version:        2.55
Release:        4%{?dist}
Group:          Applications/Publishing
Source:         ftp://ftp.dante.de/tex-archive/biblio/bibtex/utils/bibtool/BibTool-%{version}.tar.gz
URL:            http://www.gerd-neugebauer.de/software/TeX/BibTool/
Patch0:         BibTool-2.51-regex.patch
License:        GPL+
BuildRequires:  tex(latex) tex-bibtex tex-makeindex
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
BibTeX provides an easy to use means to integrate citations and
bibliographies into LaTeX documents. But the user is left alone with
the management of the BibTeX files. The program BibTool is intended to
fill this gap. BibTool allows the manipulation of BibTeX files which
goes beyond the possibilities --- and intentions --- of BibTeX.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .regex
sed -i -e 's%^#!/usr/local/bin/tclsh%#! %{_bindir}/tclsh%' Tcl/bibtool.tcl
sed -i -e 's%^#!/usr/local/bin/perl%#! %{_bindir}/perl%' Perl/bibtool.pl
# configure will recreate the directory, but only with config.h within
rm -rf regex-0.12

%build
%configure --libdir=%{_datadir}
sed -i -e 's#@kpathsea_lib_static@##' makefile
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"
make doc
# Convert to utf-8
for file in INSTALL; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALLPREFIX=$RPM_BUILD_ROOT INSTALL='install -p -m 755'
make install-man INSTALLPREFIX=$RPM_BUILD_ROOT INSTALL='install -p -m 644'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes.tex COPYING INSTALL README THANKS
%doc Doc/bibtool.pdf Doc/ref_card.pdf
%doc Perl/ Tcl/
%{_bindir}/bibtool
%{_datadir}/BibTool/
%{_mandir}/man1/bibtool.1*

%changelog
* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.55-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Michael J Gruber <mjg@fedoraproject.org> 2.55-3
- adjust BR to new texlive (fix FTB for doc)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.55-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Michael J Gruber <mjg@fedoraproject.org> 2.55-1
- rebase to BibTool 2.55
- dump patch1
- fix configure droppings in makefile (botched kpathsea detection)

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.53-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Michael J Gruber <mjg@fedoraproject.org> 2.53-1
- rebase to BibTool 2.53

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.51-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed May 18 2011 Michael J Gruber <mjg@fedoraproject.org> 2.51-1
- rebase to BibTool 2.51
- remove DESTDIR part of regex_DESTDIR patch (use INSTALLPREFIX from 2.51)
- fix Doc/Makefile
- follow switch from dvi doc to pdf doc
- remove exec bit for installed man
- convert latin1 file to UTF-8

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.48-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.48-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.48-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 14 2008 Patrice Dumas <pertusus@free.fr> 2.48-7
- add #define __USE_GNU since in regex GNU extensions are used
- keep timestamps and fix man page permissions

* Mon Jan 29 2007 Patrice Dumas <pertusus@free.fr> 2.48-6
- use system regex (#225108)
- honor optflags (#225108)
- merge honor_DESTDIR diff with regex changes in regex_DESTDIR
- don't ship c_lib.dvi

* Sun Sep 10 2006 Patrice Dumas <pertusus@free.fr> 2.48-5
- rebuild for FC6

* Thu Feb 16 2006 Patrice Dumas <pertusus@free.fr> 2.48-4
- rebuild for fc5

* Fri Sep  2 2005 Patrice Dumas <pertusus@free.fr> 2.48-3
- change shebangs in example scripts

* Thu Jul 14 2005 Patrice Dumas <pertusus@free.fr> 2.48-2
- update to 2.48
- use fedora template 

* Mon Sep 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.44-1mdk
- added in contribs by Guillaume Rousse <g.rousse@linux-mandrake.com>
- first mdk release
